=== test/CMakeLists.txt ===
find_package(ament_cmake_pytest REQUIRED)

add_subdirectory(api)
add_subdirectory(math)
