=== debian/changelog ===
ros-foxy-maliput-py (0.1.5-1focal) focal; urgency=high

  * Adds missing Vector bindings. (#74 <https://github.com/maliput/maliput_py/issues/74>)
  * Adds LaneSRange::GetIntersection binding. (#73 <https://github.com/maliput/maliput_py/issues/73>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Mon, 13 Mar 2023 03:00:00 -0000

ros-foxy-maliput-py (0.1.4-1focal) focal; urgency=high

  * Updates ListPlugins binding. (#72 <https://github.com/maliput/maliput_py/issues/72>)
  * Updates triage workflow. (#71 <https://github.com/maliput/maliput_py/issues/71>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Tue, 29 Nov 2022 03:00:00 -0000

ros-foxy-maliput-py (0.1.3-1focal) focal; urgency=high

  * Adds binding for ToSegmentPosition. (#70 <https://github.com/maliput/maliput_py/issues/70>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Wed, 14 Sep 2022 03:00:00 -0000

ros-foxy-maliput-py (0.1.2-1focal) focal; urgency=high

  * Use maliput's method for creating road network via plugin api. (#68 <https://github.com/maliput/maliput_py/issues/68>)
  * Fixes IntersectionBook's bug. (#69 <https://github.com/maliput/maliput_py/issues/69>)
  * Adds triage workflow. (#66 <https://github.com/maliput/maliput_py/issues/66>)
  * Adds TrafficLightBook bindings. (#65 <https://github.com/maliput/maliput_py/issues/65>)
  * Improves README. (#64 <https://github.com/maliput/maliput_py/issues/64>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Thu, 28 Jul 2022 03:00:00 -0000

ros-foxy-maliput-py (0.1.1-1focal) focal; urgency=high

  * Removes pylint and pycodestyle explicit dependency. (#63 <https://github.com/maliput/maliput_py/issues/63>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Thu, 16 Jun 2022 03:00:00 -0000

ros-foxy-maliput-py (0.1.0-1focal) focal; urgency=high

  * Updates package.xml
  * Suppresses old-rule-api-related deprecation warnings. (#62 <https://github.com/maliput/maliput_py/issues/62>)
  * Depends on pybind11 package via rosdep. (#61 <https://github.com/maliput/maliput_py/issues/61>)
  * Uses ros-action-ci in build.yaml workflow. (#59 <https://github.com/maliput/maliput_py/issues/59>)
  * Moves package to root (#60 <https://github.com/maliput/maliput_py/issues/60>)
  * Updates license. (#58 <https://github.com/maliput/maliput_py/issues/58>)
  * Removes dashing CI. (#57 <https://github.com/maliput/maliput_py/issues/57>)
  * Added a binding in RoadPosition for ToInertialPosition method (#56 <https://github.com/maliput/maliput_py/issues/56>)
  * Adds IntersectionBook::FindIntersection(inertial_pos) binding. (#55 <https://github.com/maliput/maliput_py/issues/55>)
  * Merge pull request #54 <https://github.com/maliput/maliput_py/issues/54> from ToyotaResearchInstitute/voldivh/value_range_method_to_state
  * [FEAT]: Changed values() and ranges() method from Rules to states()
  * Adds bindings for new GetState method in the state providers. (#53 <https://github.com/maliput/maliput_py/issues/53>)
  * Adds BUILD_DOCS flag as opt-in flag (#52 <https://github.com/maliput/maliput_py/issues/52>)
  * Adds workflow_dispatch to other workflows. (#51 <https://github.com/maliput/maliput_py/issues/51>)
  * Adds PhaseRingBook bindings (#48 <https://github.com/maliput/maliput_py/issues/48>)
  * Tests maliput::api interfaces (#47 <https://github.com/maliput/maliput_py/issues/47>)
  * Completes RoadNetwork bindings (#46 <https://github.com/maliput/maliput_py/issues/46>)
  * Adds IntersectionBook (#45 <https://github.com/maliput/maliput_py/issues/45>)
  * Adds CI badges (#50 <https://github.com/maliput/maliput_py/issues/50>)
  * Adds Intersection bindings (#44 <https://github.com/maliput/maliput_py/issues/44>)
    Co-authored-by: Franco Cipollone <mailto:53065142+francocipollone@users.noreply.github.com>
  * Adds PhaseProvider bindings (#43 <https://github.com/maliput/maliput_py/issues/43>)
  * Adds PhaseRing bindings (#42 <https://github.com/maliput/maliput_py/issues/42>)
  * Adds Phase bindings. (#41 <https://github.com/maliput/maliput_py/issues/41>)
  * Adds bindings for UniqueBulbId, UniqueBulbGroupId and fixes hashing in other Ids (#40 <https://github.com/maliput/maliput_py/issues/40>)
  * Adds TrafficLight bindings. (#39 <https://github.com/maliput/maliput_py/issues/39>)
  * Adds BulbGroup bindings (#38 <https://github.com/maliput/maliput_py/issues/38>)
  * Adds Bulb bindings. (#37 <https://github.com/maliput/maliput_py/issues/37>)
  * Adds bindings for some Bulb related types (#36 <https://github.com/maliput/maliput_py/issues/36>)
  * Adds bindings for RuleStateProviders. (#35 <https://github.com/maliput/maliput_py/issues/35>)
  * Adds RoadRulebook bindings. (#34 <https://github.com/maliput/maliput_py/issues/34>)
  * Adds bindings for RuleRegistry. (#33 <https://github.com/maliput/maliput_py/issues/33>)
  * Adds DiscreteValueRule and RangeValueRule binding (#32 <https://github.com/maliput/maliput_py/issues/32>)
  * Adds bindings for Rule, Rule::State and UniqueId (#30 <https://github.com/maliput/maliput_py/issues/30>)
  * Replaces push by workflow_dispatch event in gcc build. (#29 <https://github.com/maliput/maliput_py/issues/29>)
  * Completes Lane API bindinds and adds RBounds, HBounds and IsoLaneVelocity. (#28 <https://github.com/maliput/maliput_py/issues/28>)
  * Adds LaneEndSet and BranchPoint (#27 <https://github.com/maliput/maliput_py/issues/27>)
  * Adds LaneEnd binding. (#26 <https://github.com/maliput/maliput_py/issues/26>)
  * Adds python bindings for SRange, LaneSRange and LaneSRoute. (#25 <https://github.com/maliput/maliput_py/issues/25>)
  * Extends LanePosition and ***Id python interface (#24 <https://github.com/maliput/maliput_py/issues/24>)
  * Extends python interface of some maliput.api entities. (#23 <https://github.com/maliput/maliput_py/issues/23>)

